Opened 12 years ago

Closed 12 years ago

#442 closed defect (fixed)

API 0.4 delivering visible="false" data

Reported by: andy_j_robinson@… Owned by: steve@…
Priority: major Milestone:
Component: api Version:
Keywords: Cc:

Description

API 0.4 is delivery deleted data via the map data calls

Change History (4)

comment:1 Changed 12 years ago by andy_j_robinson@…

Example:

<node id="541428" lat="52.657283782959" lon="0.689340651035309" user="Gabriel Ebner" visible="false" timestamp="2006-11-30T18:28:13+00:00"> <tag k="created_by" v="JOSM"/> </node>

<node id="541452" lat="52.6583557128906" lon="0.684221625328064" user="blackadder" visible="false" timestamp="2006-08-23T11:22:28+01:00"> <tag k="created_by" v="JOSM"/> </node>

<node id="541461" lat="52.6541328430176" lon="0.670480489730835" user="blackadder" visible="false" timestamp="2006-08-23T11:22:26+01:00"> <tag k="created_by" v="JOSM"/> </node>

<node id="541466" lat="52.6533610714564" lon="0.665091188105688" user="Gabriel Ebner" visible="false" timestamp="2006-11-30T18:28:14+00:00"> <tag k="created_by" v="JOSM"/> </node>

<node id="541467" lat="52.6532440185547" lon="0.663824200630188" user="blackadder" visible="false" timestamp="2006-08-23T11:22:28+01:00"> <tag k="created_by" v="JOSM"/> </node>

<node id="541479" lat="52.6547877671527" lon="0.643970282229528" user="Gabriel Ebner" visible="false" timestamp="2006-11-30T18:28:14+00:00"> <tag k="created_by" v="JOSM"/> </node>

<node id="541481" lat="52.6551692365902" lon="0.641858191641912" user="Gabriel Ebner" visible="false" timestamp="2006-11-30T18:28:13+00:00"> <tag k="created_by" v="JOSM"/> </node>

<node id="541484" lat="52.6558406228002" lon="0.639205486926183" user="Gabriel Ebner" visible="false" timestamp="2006-11-30T18:28:14+00:00"> <tag k="created_by" v="JOSM"/> </node>

<node id="541499" lat="52.6567535400391" lon="0.636631011962891" user="blackadder" visible="false" timestamp="2006-02-18T20:30:21+00:00"/>

comment:2 Changed 12 years ago by andy_j_robinson@…

Segments with visible="true" have nodes with visible="false" suggesting this problem may be limited to a few integrity errors within the database.

comment:3 Changed 12 years ago by andy_j_robinson@…

Also instances of deleted ways being returned. Segs and nodes relevant to the way being visible. Example way ID's 2 through 34.

comment:4 Changed 12 years ago by steve@…

Resolution: fixed
Status: newclosed
Note: See TracTickets for help on using tickets.